Subject: Re: [netext] WGLC: I-D draft-ietf-netext-logical-interface-support-09

From: "Riegel, Maximilian (NSN - DE/Munich)" <[email-masked]>
Date: Sun, 14 Sep 2014 20:16:29 +0000

Hi,

I would like to provide a few review comments on the draft:

While strongly supporting that the I-D is moving forward and finally getting published as Informational RFC I found a number of shortcomings which should be addressed before publication.

-    The overall structure is leading to replication of information and does not provide a clear story line. I would recommend a structure like

o    Introduction

o    Terminology

o    Problem statement

o    Link Layer interface behavior

o    Logical Interface Functional Description

o    Logical Interface Deployment Examples

-    (1. Introduction)

-    (2. Terminology)

o    IMHO, a PIF is the interface coming out of the host to the physical world. I would recommend to clean up terminology to clearly identify the relevant interfaces in the communication stack, e.g. by introduction of a 'Link Interface' or even a 'Link SAP'. Taking a look into IEEE 802 specifications may help to find appropriate wording.

-    (3. Hiding Link-layer Technologies - Approaches and Applicability

o    Title is somewhat misleading; the topic is to enable an IP interface to connect sequentially or simultaneous to multiple different 'Link SAPs'.

-    (3.2.1 Link Layer Abstraction - Approaches)

o    Abstraction is not really the issue; switching and multiplexing multiple links into one is the topic.

o    Text on IEEE 802 Link Layer support should focus not on PHY technologies but on the differences in the 'Link SAPs'. IEEE 802.1AC may be of great help to understand the commonalities and differences of the SAPs among the different 802 technologies.

o    3GPP requires a much more comprehensive description here. TS23.401 provides a generic network architecture, but the details of the link interfaces are specified within other documents.

o    A logical interface has not necessarily multiple physical interfaces beneath. Neither is a logical interface bound to the applications mentioned in the I-D.

-    (3.2 Applicability Statement)

o    I wonder about the 'above solutions'. Which solutions? I see only listing of common PHYs and technology terms ('connection manager', ANDSF). How do these relate to the solutions?

o    Both 'multi technology support' and 'sequential vs. simultaneous access' should be explained by a few sentences. At this location the terms are not self-explanatory yet.

o    I am not clear, what you would like to explain in this section. Somehow it looks like an extension to the 'link layer support' and 'logical interface' paragraphs in the previous section.

-    (4. Technology Use Cases)

o    Looks like an repetition of information of the previous sections.

o    PPP vs. NBMA vs. BMA requires comprehensive considerations.

-    (5. Logical Interface Functional Details)

o    Logical Interface should be defined independent from physical wires, as a logical interface may also be used with 'tunnels'.

o    I miss considerations about interface functions like ND/ARP/DHCP. Probably the I-D should make a reference to IPv6 node requirements (RFC 6434) and provide comments to all statements which require special treatment for the LIF, e.g.

§  What are the issues coming up when combining a PPP link with an Ethernet link for one logical interface.

o    Is FLOW management mandatory for all kind of LIFs? I would guess, that the specification text belongs to the 'simultaneous access' scenario, not to all scenarios.

-    Overall, I would appreciate more thorough considerations about the issues coming up when combining multiple different link types, e.g. switching between an Ethernet and a PPP link. What about reachability of other hosts on the Ethernet when selecting the PPP link? What about multicast services, what about a mix of stateful and stateless auto configuration?

Bye
Max

From: netext [mailto:[email-masked]] On Behalf Of ext Basavaraj Patil
Sent: Wednesday, August 27, 2014 16:27
To: [email-masked]
Cc: [email-masked]
Subject: [netext] WGLC: I-D draft-ietf-netext-logical-interface-support-09

Hello,

The WG I-D: Logical Interface Support for multi-mode IP Hosts
            <draft-ietf-netext-logical-interface-support-09>
is ready for working group last call.

This I-D is intended to be published as an Informational RFC.

Please treat this email as the start of the WGLC for this I-D.
The WGLC will end on Sept 15th, 2014. Please send your review comments to the WG mailing list or the authors directly.

-Chairs

--
Basavaraj Patil

---

From: "Sri Gundavelli (sgundave)" <[email-masked]>
Date: Mon, 15 Sep 2014 01:26:05 +0000

Hi Max,

Thanks. We still have to address your comments from prev review. Will take care of this comments in –10 version.

Regards
Sri

From: <Riegel>, "Maximilian (NSN - DE/Munich)" <[email-masked]<mailto:[email-masked]>>
Date: Sunday, September 14, 2014 1:16 PM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [netext] WGLC: I-D draft-ietf-netext-logical-interface-support-09

Hi,

o    Introduction

o    Terminology

o    Problem statement

-    (1. Introduction)

-    (2. Terminology)

Bye
Max

From: netext [mailto:[email-masked]] On Behalf Of ext Basavaraj Patil
Sent: Wednesday, August 27, 2014 16:27
To: [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: [netext] WGLC: I-D draft-ietf-netext-logical-interface-support-09

Hello,

-Chairs

--
Basavaraj Patil